#!/bin/bash

## NB first line
# possible script loaders
#!/cygdrive/c/cygmin/bin/bash
#!/cygdrive/c/sonic/win32/cygmin/bin/bash
#!/bin/bash

# sonic-program.sh
#
# this shell script runs a SONIC/PHP program, the template design
# using the core configuration program to help setup its running
# environment. you can set the environment variable SONIC_CONF
# to the location of the configuration program if this batch file
# is unable to find it unaided.
#

	### 	A D V A N C E D : E D I T : O N L Y	###

SONIC_EXE="sonic-daemon.php"

#SONIC_CONF="/cygdrive/c/sonic/bin/sonic-config.sh"
SONIC_CONF="/usr/bin/sonic-config.sh"

SONIC_CONF_DEFAULT="sonic-config.sh"

        ### D O : N O T : E D I T : B E L O W : H E R E ###

if [ ! -f "$SONIC_CONF" ]
then
  SC_TRY=`pwd`
  SONIC_CONF=`find "$SC_TRY" -name $SONIC_CONF_DEFAULT`
  if [ ! -f "$SONIC_CONF" ]
  then
    SONIC_CONF=`find /usr -name $SONIC_CONF_DEFAULT`
  fi
fi

if [ ! -f "$SONIC_CONF" ]
then
  echo Error: Could not find "$SONIC_CONF_DEFAULT"
  echo Try resetting the env var SONIC_CONF
  exit
fi

# if sonic-config runs, implicit checks for libexec dir and sonic.inc
export SONIC_LIBEXEC=`"$SONIC_CONF" --libexec 2> /dev/null`

# test main
if [ ! -f "$SONIC_LIBEXEC/$SONIC_EXE" ] ; then
  echo Error: Could not find "$SONIC_EXE"
  exit
fi

export SONIC_PHP_EXE=`"$SONIC_CONF" --php-exe 2> /dev/null`

if [ ! -f "$SONIC_PHP_EXE" ] ; then 
  echo Error: PHP executable not found
  exit
fi

export SONIC_PREFIX=`"$SONIC_CONF" --prefix 2> /dev/null`
export SONIC_LIB=`"$SONIC_CONF" --lib 2> /dev/null`
export SONIC_ETC=`"$SONIC_CONF" --config-dir 2> /dev/null`
# export SONIC_PHP_INI=`"$SONIC_CONF" --php-ini 2> /dev/null`
# export SONIC_PHP_EXT=`"$SONIC_CONF" --php-ext-dir 2> /dev/null`
export SONIC_PHP_OPT=`"$SONIC_CONF" --php-opt 2> /dev/null`

$SONIC_PHP_EXE $SONIC_PHP_OPT -q -d max_execution_time=0 "$SONIC_LIBEXEC/$SONIC_EXE" $@
